### Virtual Method

# Ide SourceView set_search_text

#### Declaration

    void
    set_search_text (
      IdeSourceView* self,
      const gchar* search_text,
      gboolean from_selection
    )

#### Description

No description available.

#### Parameters

`search_text` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`from_selection` | `gboolean`
| No description available.